
#include <print>

import CString;

// main() Funktion
int main()
{
    // Zwei String Objekte definieren
    CString myString1("Eine Investition ");
    CString myString2("in Wissen ");

    // Beide Strings ausgeben
    std::println("Ausgangs-Strings\nS1: {}\nS2: {}", myString1.GetString(), myString2.GetString());

    // Neuen String definieren
    CString myString3;
    // und ihm beide Strings zuweisen
    myString3 = myString1 + myString2;
    // Neuen String ausgeben
    std::println("S3 (S1+s2): {}", myString3.GetString());

    // Strings nun vergleichen
    std::println("S1>S2: {}", myString1 > myString2);

    // String1 gleich String2 setzen
    myString1 = myString2;
    std::println("Nach S1=S2:\nS1: {}\nS2: {}",
        myString1.GetString(), myString2.GetString());
    // und nochmals vergleichen
    std::println("S1==S2: {}", myString1 == myString2);
}
